% sgml-tools to lyx replacement file
% 
% Frank Pavageau <frank@via.ecp.fr>
%
% Modified to simplify, correct and update lyx output (December 97)
% LyX code is up to date with 0.12.xx series
% Jose' Matos <jamatos@novalis.fc.up.pt>

<qwertz>	+
</qwertz>	+

<article>		"#   LinuxDoc-SGML\n"
                        "#(conversion : Frank Pavageau and Jose' Matos)\n"
			"\\lyxformat 2.15\n"
			"\\textclass linuxdoc\n"
			"\\language russian\n"
			"\\inputencoding koi8-r\n"
			"\\fontscheme default\n"
			"\\papersize Default\n"
			"\\paperfontsize default\n"
			"\\spacing single\n"
			"\\secnumdepth 3\n"
			"\\tocdepth 3\n" 
			"\\paragraph_separation indent\n"
			"\\defskip medskip\n"
			"\\quotes_language default\n"
			"\\quotes_times 2\n"
			"\\paperorientation portrait\n"
			"\\papercolumns 1\n" 
			"\\papersides 1\n"
			"\\paperpagestyle default\n\n"	+

</article>	+	"\\the_end"

<report>
</report>

<book>
</book>

<notes>
</notes>

<manpage>
</manpage>

<titlepag>
</titlepag>	+	% "\\layout Standard\n"

<title>		+	"\\layout Title\n"
			"\\added_space_top vfill \\added_space_bottom vfill\n"
</title>	+

<subtitle>	+
</subtitle>	+

<author>	+	"\\layout Author\n"
</author>	+

<name>
</name>

<and>			" and "
</and>

<date>		+	"\\layout Date\n"
</date>		+

<abstract>	+	"\\layout Abstract\n"
</abstract>	+

<toc>		+	"\\layout Standard\n"
			"\\begin_inset LatexCommand \\tableofcontents\n"
			"\\end_inset\n"	+
</toc>

<sect>		+	"\\layout Section\n"
</sect>

<sect1>		+	"\\layout Subsection\n"
</sect1>

<sect2>		+	"\\layout Subsubsection\n"
</sect2>

<sect3>		+	"\\layout Paragraph\n"
</sect3>

<sect4>		+	"\\layout Subparagraph\n"
</sect4>

<heading>
</heading>

<p>		+	"\\layout Standard\n"	
</p>		+	"\n"

<itemize>		"@itemize@\n"		+
</itemize>	+	"@/itemize@\n"

<enum>			"@enumerate@\n"		+
</enum>		+	"@/enumerate@\n"

<item>		+	"@item@\n"
</item>		+	"\n"	+

<descrip>	+	"@descrip@\n"		+
</descrip>	+	"@/descrip@\n"

<tag>		+	"@tag@\n"
</tag>		+	"@/tag@\n"	+

<tt>		+	"\\family typewriter "
</tt>		+	"\\family default "

<em>		+	"\\shape italic "
</em>		+	"\\shape default "

<bf>		+	"\\series bold "
</bf>		+	"\\series default "

%<code>		+	"\\layout Code\n"	+
%</code>
<code>		+	"@verb@\n"	+
</code>		+	"@/verb@\n"

<verb>		+	"@verb@\n"	+
</verb>		+	"@/verb@\n"

<tscreen>	+	"\\begin_deeper\n"
			"\\layout Standard\n"
			
</tscreen>	+	"\\end_deeper\n"
			"\\layout Standard\n"

<quote>		+	"\\layout Quote\n"	+
</quote>

<label>		+	"\\begin_inset LatexCommand \\label{[ID]}\n"
			"\\end_inset \n"
</label>

<ref>		+	"\\begin_inset LatexCommand \\ref{\n"
			"\\end_inset\n[ID]\n\\begin_inset LatexDel }{\n"
			"\\end_inset\n[NAME]\n\\begin_inset LatexDel }\n"
			"\\end_inset\n"
</ref>

<url>			"\\begin_inset LatexDel \\url{\n"
			"\\end_inset\n[URL]\n\\begin_inset LatexDel }{\n"
			"\\end_inset\n[NAME]\n\\begin_inset LatexDel }\n"
			"\\end_inset\n"
</url>

<htmlurl>		"\\begin_inset LatexDel \\htmlurl{\n"
			"\\end_inset\n[URL]\n\\begin_inset LatexDel }{\n"
			"\\end_inset\n[NAME]\n\\begin_inset LatexDel }\n"
			"\\end_inset\n"
</htmlurl>

